为了账号安全,请及时绑定邮箱和手机立即绑定

由于数据库版本为782,因此无法打开。该服务器支持版本706和更早版本。不支持降级路径

由于数据库版本为782,因此无法打开。该服务器支持版本706和更早版本。不支持降级路径

当年话下 2019-12-12 14:10:02

我已经使用SQL Server 2014 Express创建了一个示例数据库,并将其添加到了Windows窗体解决方案中。当双击它打开我得到这个错误。


由于数据库版本为782,因此无法打开。该服务器支持版本706和更早版本。不支持降级路径


我使用的是Visual Studio2013。我真的不明白我使用的是Microsoft产品的两个最新版本,它们不兼容。我想念什么吗?如何打开该数据库?


查看完整描述

3 回答

?
月关宝盒

TA贡献1314条经验 获得超4个赞

尝试更改兼容性级别,为我工作。


验证它是什么级别


USE VJ_DATABASE;

GO

SELECT compatibility_level

FROM sys.databases WHERE name = 'VJ_DATABASE';

GO

然后使其与旧版本兼容


ALTER DATABASE VJ_DATABASE

SET COMPATIBILITY_LEVEL = 110;   

GO

100 = SQL Server发行日为2008

110 = SQL Server 2012

120 = SQL Server 2014年

默认情况下,Sql Server 2014会将db版本的兼容性更改为仅2014,使用@@ version您应该能够知道Sql Server的版本。


然后运行上面的命令以将其更改为您拥有的版本。


附加步骤:确保查看数据库的可访问性未重置,请通过右键单击文件夹和数据库的属性来执行此操作。(确保您具有权限,以免访问被拒绝)



查看完整回答
反对 回复 2019-12-13

添加回答

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信